Overview | Modules | Class Hierarchy | Classes | Members

Public Member Functions | Public Attributes | Protected Member Functions | Friends
tlp::DoubleAlgorithm Class Reference
Plugins

Interface for metric plug-ins. More...

`#include <DoubleAlgorithm.h>`

Inheritance diagram for tlp::DoubleAlgorithm:
[legend]
Collaboration diagram for tlp::DoubleAlgorithm:
[legend]

List of all members.

## Public Member Functions

- virtual ~DoubleAlgorithm ()

## Public Attributes

- DoubleProperty * doubleResult

## Protected Member Functions

- DoubleAlgorithm (const AlgorithmContext &context)

## Friends

- class DoubleProperty

## Detailed Description

Interface for metric plug-ins.

## Constructor & Destructor Documentation

virtual tlp::DoubleAlgorithm::~DoubleAlgorithm | ( |  | ) | `[virtual]`

tlp::DoubleAlgorithm::DoubleAlgorithm | ( | const AlgorithmContext & | context | ) | `[protected]`

## Friends And Related Function Documentation

friend class DoubleProperty`[friend]`

## Member Data Documentation

DoubleProperty* tlp::DoubleAlgorithm::doubleResult

This metric is the one associated to the algorithm, The data should be store in it

Tulip Software by LaBRI Visualization Team 2001 - 2012